package com.javacodegeeks.core.stringtokenizer;

import java.util.StringTokenizer;

public class StringTokenizerClass {

	public static void main(String[] args) {
		String str = "Java Code Geeks Examples !";
		String s = "Java-Code--Geeks-Examples-!";
	
		StringTokenizer strtokenizer = new StringTokenizer(str);
		
		// loop in order to take all tokens
		while(strtokenizer.hasMoreTokens()){
			// returns a string
			System.out.println(" "+strtokenizer.nextToken());
		}
		
		StringTokenizer stokenizer = new StringTokenizer(s, "-");
		System.out.println("\nThe stokenizer includes "+ stokenizer.countTokens() +" tokens.");
		
		while(stokenizer.hasMoreElements()) {
			// returns an object
			String tok = (String) stokenizer.nextElement();
			
			System.out.println("-"+tok.toString());
		}
	}

}
